Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454412 (mingw32-runtime) - Review Request: mingw32-runtime - MinGW Windows cross-compiler runtime and root filesystem
Summary: Review Request: mingw32-runtime - MinGW Windows cross-compiler runtime and ro...
Keywords:
Status: CLOSED RAWHIDE
Alias: mingw32-runtime
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Levente Farkas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: mingw32-binutils 454410
Blocks: mingw32-w32api 454416
TreeView+ depends on / blocked
 
Reported: 2008-07-08 11:43 UTC by Richard W.M. Jones
Modified: 2008-12-11 15:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-11 15:01:09 UTC
lfarkas: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)
spec file patch (deleted)
2008-11-21 23:11 UTC, Levente Farkas
no flags Details | Diff

Description Richard W.M. Jones 2008-07-08 11:43:45 UTC
Spec URL: http://www.annexia.org/tmp/mingw/mingw-runtime.spec
SRPM URL: http://www.annexia.org/tmp/mingw/mingw-runtime-3.14-2.fc10.src.rpm
Description: MinGW Windows cross-compiler runtime and root filesystem

Incomplete packaging guidelines:
https://fedoraproject.org/wiki/PackagingDrafts/MinGW

This contains the MinGW root filesystem and some core libraries.

Comment 1 Harry Waye 2008-09-18 14:33:51 UTC
You SRPM link should be fc8.  Also, have you any plans to add some C++ libraries?  ie boost or gtkmm?

Comment 2 Harry Waye 2008-09-18 14:43:57 UTC
One further note, pthreads would be a welcome addition.

Comment 4 Harry Waye 2008-10-16 17:46:10 UTC
Excellent, your a star.  Thanks for the update.

Comment 5 Richard W.M. Jones 2008-10-16 20:20:38 UTC
(In reply to comment #2)
> One further note, pthreads would be a welcome addition.

I packaged up win32-pthreads separately:
http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-pthreads-2.8.0-2.fc9.src.rpm

Comment 6 Richard W.M. Jones 2008-10-24 18:34:17 UTC
(In reply to comment #1)
> You SRPM link should be fc8.  Also, have you any plans to add some C++
> libraries?  ie boost or gtkmm?

I did gtkmm - it's in our development repository.

Boost is a fscking nightmare.  People who write their own build
systems should be shot.  Or maybe since they have to program in
C++ they've been punished enough already.

Comment 7 Harry Waye 2008-10-25 00:59:19 UTC
I have spoken to certain people in the #boost irc chat room and have compiled boost against your packages.  It works with some additions to the boost.build scripts.  I'll try publish such things in a bit.

Comment 8 Richard W.M. Jones 2008-10-27 09:18:58 UTC
Do you have a spec file for boost, re comment 7?

I have a pretty rubbish one:
http://hg.et.redhat.com/misc/fedora-mingw--devel?cmd=manifest;manifest=c1faf15c38245919737c88541c025a9e9dc1bea0;path=/boost/
It builds just enough to work with Inkscape, but it extremely hacky.

Comment 9 Richard W.M. Jones 2008-10-27 09:19:13 UTC
s/it/is/

Comment 10 Harry Waye 2008-10-27 12:45:06 UTC
I don't have time to look at it at the moment.  The person I spoke to in #boost was volodya.  It was also very hacky.  There were some tickets made for it on https://zigzag.lvk.cs.msu.su:7813/boost.build/ but I don't remember which ones.

Comment 11 Levente Farkas 2008-11-21 23:11:45 UTC
Created attachment 324358 [details]
spec file patch

Comment 12 Levente Farkas 2008-11-21 23:13:13 UTC
with the attached patch the package is good.

 This package (mingw32-runtime) is APPROVED by lfarkas

Comment 13 Richard W.M. Jones 2008-11-24 10:12:38 UTC
New Package CVS Request
=======================
Package Name: mingw32-runtime
Short Description: MinGW Windows cross-compiler runtime
Owners: rjones berrange
Branches: F-10 EL-5
InitialCC:

Comment 14 Richard W.M. Jones 2008-11-24 10:13:08 UTC
(Note to self - change the summary before adding this package)

Comment 15 Dennis Gilmore 2008-11-25 16:35:35 UTC
CVS Done

Comment 16 Richard W.M. Jones 2008-12-11 15:01:09 UTC
All built, bootstrapped and pushed.


Note You need to log in before you can comment on or make changes to this bug.